package netscape.javascript;


import java.applet.Applet;


/**
 * This class is needed for MAYSCRIPT-applets.
 * @link http://home.netscape.com/eng/mozilla/3.0/handbook/plugins/doc/netscape.javascript.JSException.html
 */

public class JSObject {

    public static JSObject getWindow(Applet a) {
        if (true) {
            throw new RuntimeException("Browser calls wrong applet functions! Please set CLASSPATH.");
        }
        return null;
    }

    public Object getMember(String name) {
        if (true) {
            throw new RuntimeException("Browser calls wrong applet functions! Please set CLASSPATH.");
        }
        return null;
    }

    public Object getSlot(int index) {
        if (true) {
            throw new RuntimeException("Browser calls wrong applet functions! Please set CLASSPATH.");
        }
        return null;
    }

    public Object call(String methodName, Object args[]) {
        if (true) {
            throw new RuntimeException("Browser calls wrong applet functions! Please set CLASSPATH.");
        }
        return null;
    }

    public Object eval(String s) {
        if (true) {
            throw new RuntimeException("Browser calls wrong applet functions! Please set CLASSPATH.");
        }
        return null;
    }

    public void setMember(String name, Object value) {
        if (true) {
            throw new RuntimeException("Browser calls wrong applet functions! Please set CLASSPATH.");
        }
    }

    public void setSlot(int index, Object value) {
        if (true) {
            throw new RuntimeException("Browser calls wrong applet functions! Please set CLASSPATH.");
        }
    }

    public void removeMember(String name) {
        if (true) {
            throw new RuntimeException("Browser calls wrong applet functions! Please set CLASSPATH.");
        }
    }

}
